---
title: "IO"
source: /fr/gcxone/api/io
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources io. 7 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## POST /io/filter

Récupère la liste des IO avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Cela offre la possibilité d'obtenir des champs d'entité supplémentaires dans la réponse. Fournit également les méta‑données de configuration de l'entité.

### Corps de la requête

Filtrage et tri des IO

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "name",
        "DisplayName": "Name",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "dateTime": 1658329286975,
      "id": 1601,
      "name": "output test 1",
      "uniqueId": "e9fa037e0f2f4aa1a25c49da6f45ff84",
      "type": "output",
      "deviceId": "a6183f1072554391b99e7acc9428de26",
      "deviceName": "Device",
      "siteId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "siteName": "Axxon Site1",
      "customerId": "93b4ce9e41534f548d396ba4d2d5a2ed",
      "serviceProviderId": "e7f417cf4a434b5093a8173cdb40004f",
      "isLinkedWithMap": "false",
      "isEnabled": "true"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /io/getByDevice/{deviceId}

Récupérer les IO par Device Id

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| deviceId | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## POST /io/singleIO

Ajouter un nouvel appareil IO unique

### Corps de la demande

Ajouter un appareil IO unique

```json
{
  "name": "string (required)",
  "id": "number (required)",
  "type": "input | output (required)",
  "deviceId": "string (required)",
  "jsonSchemaResult": "object"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "isSuccess": true
}
```

## GET /io/singleIO/{uniqueId}/{deviceId}/{type}

Obtenir le détail de l'IO unique

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| uniqueId | chemin | chaîne | oui |  |
| deviceId | chemin | chaîne | oui |  |
| type | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "id": 4547,
  "name": "output 3",
  "uniqueId": "9ccadb73fdde4760a6e64479706090b8",
  "associatedDeviceId": "2781f633d4334d189211320596db4dc6",
  "dateTime": 1657874428326,
  "jsonSchemaResult": {}
}
```

## PUT /io/singleIO/{uniqueId}/{deviceId}/{type}

Mettre à jour le dispositif IO

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| uniqueId | chemin | chaîne | oui |  |
| deviceId | chemin | chaîne | oui |  |
| type | chemin | chaîne | oui |  |

### Corps de la demande

Pour mettre à jour un IO, fournir l'UniqueId existant

```json
{
  "id": "number",
  "name": "string",
  "jsonSchemaResult": "object"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Example `200` response:

```json
{
  "isSuccess": true
}
```

## DELETE /io/singleIO/{uniqueId}/{deviceId}/{type}

Supprimer le dispositif IO unique

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| uniqueId | path | string | yes |  |
| deviceId | path | string | yes |  |
| type | path | string | yes |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "isSuccess": true
}
```

## GET /io/triggerIO?deviceId={deviceId}&relay={relay}&action={action}

Déclencher IO

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| deviceId | requête | chaîne | oui | Device Id |
| relai | requête | chaîne | oui | IO Device Id(IO id) |
| action | requête | chaîne | oui | État IO |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 401 | Non autorisé |  |
| 404 | Pas trouvé |  |